package com.persagy.transfer.task;

import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @description: 同步设备数据到万达数据库
 * @author: YangWanYi
 * @create: 2021-09-16 11:28
 **/
@Component
@Slf4j
public class SycnEquDataToWdTask {

    private int times;

    /**
     * 数据同步逻辑
     */
    @Scheduled(cron = "*/15 * * * * ?")
    public void execute() {
        log.info("thread id:{},FixedPrintTask execute times:{}", Thread.currentThread().getId(), ++times);

    }
}
